/* card */

.card {
    background: white;
    border-radius: 12px;
    padding: 25px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
    border: 1px solid #e8f5ef;
    margin: 15px;
}

.title {
    font-size: 16px;
    margin-bottom: 10px;
}

.desc {
    font-size: 13px;
    color: #666;
    margin-bottom: 20px;
}

/* input */

.input-group {
    position: relative;
}

.input-group input {
    width: 100%;
    padding: 12px 40px 12px 12px;
    border: 1px solid #ddd;
    border-radius: 10px;
    font-size: 15px;
    outline: none;
}

.input-group i {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: #28a965;
}

/* button */

.btn {
    margin-top: 18px;
    width: 100%;
    background: #28a965;
    border: none;
    color: white;
    padding: 12px;
    border-radius: 10px;
    font-size: 15px;
    cursor: pointer;
    transition: .2s;
}

.btn:active {
    transform: scale(.97);
}

.footer-text {
    margin-top: 15px;
    font-size: 12px;
    color: #777;
    text-align: center;
}


.logo {
    text-align: center;
    margin: 25px 0;
}

.logo img {
    width: 70px;
    height: auto;
}














.btn {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 8px;
    background: #28a965;
    color: #fff;
    font-size: 14px;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.btn:disabled {
    opacity: .8;
    cursor: not-allowed;
}

/* spinner */

.spinner {
    width: 16px;
    height: 16px;
    border: 2px solid rgba(255, 255, 255, .4);
    border-top: 2px solid #fff;
    border-radius: 50%;
    animation: spin .8s linear infinite;
    display: none;
}

@keyframes spin {
    from {
        transform: rotate(0)
    }

    to {
        transform: rotate(360deg)
    }
}











.otp-wrapper {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 25px;
    direction: ltr;
}

.otp-input {
    width: 45px;
    height: 55px;
    text-align: center;
    font-size: 22px;
    border-radius: 8px;
    border: 1px solid #ddd;
}

.otp-input:focus {
    outline: none;
    border-color: #28a965;
}

.resend {
    text-align: center;
    margin-top: 25px;
    font-size: 13px;
}

.resend button {
    background: none;
    border: none;
    color: #28a965;
    cursor: pointer;
    font-weight: 600;
}

.resend button:disabled {
    opacity: .5;
    cursor: not-allowed;
}